{
   "format_version":"1.10",
   "minecraft:attachable":{
      "description":{
         "identifier":"true:mk16_scope_6x",
         "materials":{
            "default":"entity_alphatest",
            "enchanted":"entity_alphatest_glint"
         },
         "textures":{
            "default":"textures/guns/mk16/mk16"
         },
         "scripts":{
            "animate":[
               "wielding",
               "shooting",
               {
                  "first_person_sneaking_main_hand":"(c.is_first_person) && query.is_sneaking"
               }
            ]
         },
         "animations":{ 
            "wield_first_person":"animation.mk16_scope_4x.wield_first_person",
            "wield_third_person":"animation.mk16_scope_4x.wield_third_person",
            "first_person_sneaking_main_hand":"animation.mk16_scope_4x.first_person_sneaking_main_hand",
            "wielding":"controller.animation.gun.wielding",
            "shooting":"controller.animation.gun.shooting",
            "default":"animation.mk16_scope_4x.default",
            "shoot":"animation.mk16_scope_4x.shoot"

         },
         "geometry":{
            "default":"geometry.mk16_scope_6x"
         },
         "render_controllers":[
            "controller.render.default"
         ]
      }
   }
}